import define from "../../define.js";
import { Users } from "../../../../models/index.js";
import { insertModerationLog } from "../../../../services/insert-moderation-log.js";
export const meta = {
    tags: [
        "admin"
    ],
    requireCredential: true,
    requireAdmin: true
};
export const paramDef = {
    type: "object",
    properties: {
        userId: {
            type: "string",
            format: "misskey:id"
        },
        isVerified: {
            type: "boolean"
        }
    },
    required: [
        "userId",
        "isVerified"
    ]
};
export default define(meta, paramDef, async (ps, me)=>{
    const user = await Users.findOneBy({
        id: ps.userId
    });
    if (user == null) {
        throw new Error("user not found");
    }
    await Users.update(user.id, {
        isVerified: ps.isVerified
    });
    insertModerationLog(me, ps.isVerified ? "markAsVerified" : "unmarkAsVerified", {
        targetId: user.id
    });
});
